<template>
  <div :class="$style.verticalMenu">
    <base-vertical-menu-item
      @onClick="onClickHandler"
      v-for="(item, index) in data"
      :key="index"
      :id="index"
      :selectedItem="activeItem"
      >{{ item.name }}</base-vertical-menu-item
    >
  </div>
</template>

<script lang="ts">
import Vue from "vue";
// @ts-ignore
import BaseVerticalMenuItem from "@/components/base/BaseVerticalMenuItem";
export default Vue.extend({
  name: "BaseVerticalMenu",
  components: {
    BaseVerticalMenuItem
  },
  props: {
    data: {
      type: Array,
      required: true
    }
  },
  data: function() {
    return {
      activeItem: 0
    };
  },

  methods: {
    onClickHandler: function(itemId: any) {
      this.activeItem = itemId;
      this.$emit("onItemSelect", itemId);
    }
  }
});
</script>

<style module lang="scss">
.verticalMenu {
  width: 300px;
  background: $color--dark-gray;
  color: white;
}

@media screen and (max-width: $device-size--desktop-laptop) {
  .verticalMenu {
    max-width: 100%;
    width: 100%;
  }
}

@media screen and (max-width: $device-size--tablet) {
  .verticalMenu {
    max-width: 100%;
    width: 100%;
  }
}
</style>
